Bug 1077025 - Claws Mail: SSL/TLS handshake failure when connecting to IMAP
Claws Mail: SSL/TLS handshake failure when connecting to IMAP
Status: RESOLVED WORKSFORME
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Axel Braun
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-22 11:57 UTC by Tristan Miller
Modified: 2018-01-23 22:08 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tristan Miller 2018-01-22 11:57:48 UTC
After a recent update, Claws Mail on openSUSE Tumbleweed is no longer able to connect to IMAP servers.  When claws-mail is run with the --debug option, the following error messages are printed to the console:

        ** Message: filtering log disabled
	** Message: Account '[hidden address]': Connecting to IMAP server: imap.kolabnow.com:993...
	** (claws-mail:7228): WARNING **: [13:26:09] SSL/TLS handshake failed
	(claws-mail:7228): Claws-Mail-CRITICAL **: imap_scan_required: assertion 'session != NULL' failed
	** Message: Account '[hidden address]': Connecting to IMAP server: imap.gmail.com:993...
	** (claws-mail:7228): WARNING **: [13:26:13] SSL/TLS handshake failed
	(claws-mail:7228): Claws-Mail-CRITICAL **: imap_scan_required: assertion 'session != NULL' failed

The problem affects the Claws Mail version in the standard OSS repository.  Switching system packages to the server:/mail repository at <https://download.opensuse.org/repositories/server:/mail/openSUSE_Tumbleweed/> fixes the problem.

Apparently this is a problem with Tumbleweed OSS's packaging, not with Claws Mail itself.

Upstream bug report: <http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=3941>
Comment 1 Tristan Miller 2018-01-22 13:16:22 UTC
I should point out that in the upstream report, it was suggested that the problem is that the dependent package libetpan is not compiled with gnutls support.
Comment 2 Axel Braun 2018-01-23 11:31:57 UTC
Can you check if this is still an issue? libetpan was updated in between
Comment 3 Tristan Miller 2018-01-23 20:55:45 UTC
(In reply to Axel Braun from comment #2)
> Can you check if this is still an issue? libetpan was updated in between

The last time I checked (on 14 November), I was using claws-mail-3.15.1-2.1 and libetpan17-1.6-1.11 from the OSS repository.  The problem is reproducible with these packages.

I checked again just now with the latest versions from the OSS repository: claws-mail-3.16.0-1.1 and libetpan20-1.8-1.1.  The problem is not reproducible with these versions.

So I guess in the delay between my noticing the problem and reporting it here, the problem got fixed.  I'll close this as WORKSFORME but feel free to re-close as FIXED if that's a more appropriate resolution.